####################################################################
#
# Flex Table
# Fast and flexible Pyhon library for text tables.
#
# Copyright ©2023 Marcin Orlowski <mail [@] MarcinOrlowski.com>
# https://github.com/MarcinOrlowski/python-flex-table/
#
####################################################################

from abc import ABC, abstractmethod
from typing import List


class RendererContract(ABC):
    def render(self, table: 'FlexTable') -> str:
        return self.render_as_str(table)

    def render_as_str(self, table: 'FlexTable', end='\n') -> str:
        return end.join(self.render_as_list(table))

    @abstractmethod
    def render_as_list(self, table: 'FlexTable') -> List[str]:
        raise NotImplementedError
